
<script type="text/javascript">

var withWatermark = false;

function showRsvpDialog() {
    var dlg = $(".rsvp-dialog");
    var form = dlg.find('form');

    var oiId = form.find('[name=oiId]').val();  

    if (Cookies.get("rsvp-oiId-" + oiId) || form.find('[name=decision]').val()) {
        //if (form.find('[name=name]').val()) {
        //    form.find('[name=name]').closest('.input-wrap').hide();
        //}

        if (form.find('[name=email]').val()) {
            form.find('[name=email]').closest('.input-wrap').hide();
        }
    }
    dlg.show();
    dlg.find("input:text")[0].focus();
    //removed - seems not required now
   //  $(window).scrollTop(0); //this will take of iso safari issue - showing the dialog scrolled down when opening

    $("body").addClass("modal-open");
}

function initRsvpDialog() {
    var dlg = $(".rsvp-dialog");
    var form = dlg.find('form');

    var current_status = "<%= Guest.status %>" || "0";

    var ButtonText = {
        0: "RSVP",
        1: "You are attending",
        2: "You aren't attending",
        3: "Maybe attending"
    }

    $('#rsvp-button, #rsvp-button-fixed').html(ButtonText[Number(current_status)]);

    dlg.on('focusout', 'input[name=name], input[name=email]',
        function() {
            $(this).val($.trim($(this).val()));
        });

    dlg.on('click', '.bringing .plus', function () {
        var input = $('.bringing input');
        var val = parseInt(input.val() || '1');
        var max = parseInt(input.data('max'));
        input.val(val >= max ? max : val + 1);
    });

    dlg.on('click', '.bringing .minus', function () {
        var input = $('.bringing input');
        var val = parseInt(input.val() || '1');
        input.val(val <= 1 ? 1 : val - 1);
    });

    dlg.on('click', '.button.submit',
        function () {
            var button = $(this);
            button.prop('disabled', true);

            var valid = form.valid();
            var decision = form.find('.decision-wrap');
            decision.removeClass('error');
            if (!form.find('[name=decision]').val() || form.find('[name=decision]').val()=='None') {
                valid = false;
                decision.addClass('error');
            }
            if (valid) {
                $.post('/api/event/invitation/rsvp',
                    form.serialize(),
                    function (r) {
                        var oiId = form.find('[name=oiId]').val();

                        console.log("r ", r)
                        if (r._id) {
                            Cookies.set("rsvp-oiId-" + oiId, r._id);
                            form.find('[name=guestId]').val(r._id);

                            $('#rsvp-button, #rsvp-button-fixed').html(ButtonText[r.status]);

                            var selected = $('.guest-list .tabs .selected').data('status');
                            $.get('/ecard/invites/guestlist/' + oiId,
                                function (d) {
                                    $('.guest-list').html(d);
                                    $('.guest-list .tabs li[data-status=' + selected + ']').click();
                                });
                        }
                        dlg.trigger('close');
                    })
                    .always(function () {
                        button.prop('disabled', false);
                    });
            } else {
                button.prop('disabled', false);
            }
        });
    dlg.on('click', '.decision li',
        function() {
            var li = $(this);
            var wrap = dlg.find('.decision-wrap');
            var field = dlg.find('[name=decision]');
            wrap.removeClass('error');
            wrap.find('li').removeClass('selected');
            li.addClass('selected');
            field.val(li.data('value'));
        });
    dlg.on('click',
        '.close',
        function () {
            dlg.trigger('close');
        });

    dlg.on('close', function () {
        $("body").removeClass("modal-open");
        dlg.hide()
    });
    form.validate();
}

function printImage() {
    $('<div class=\'print-wrap\'>')
        .append($('.preview-image .card-container img').clone())
        .printThis();
}

function initPickupPage() {

    var content = $('.main-content');

    initRsvpDialog();

    content.on('click',
        '.calendar-outlook, .calendar-apple',
        function () {
            window.location = '/invitation/downloadcalendar/-';
        });

    content.on('click',
        '.guest-list .tabs li',
        function() {
            var tab = $(this);
            var status = tab.data('status');

            tab.closest('ul').find('li').removeClass('selected');
            tab.addClass('selected');

            $(".guest-list .list").hide();
            var list = $(".guest-list .list[data-status=" + status + "]");
            list.css("display", list.hasClass('empty') ? "block" : "flex");
        });

    $('select.tabs').select2({
        minimumResultsForSearch: Infinity,
        theme: "simple"
    }).change(function() {
        var status = $(this).val();
        $(".guest-list .list").hide();
        $(".guest-list .list[data-status=" + status + "]").show();
    });

    $('.guest-list .tabs li:first').click();
}

$(function () {
   var is_rsvp = "<%= Is_RSVP %>";
   if (is_rsvp == "true") {
    initPickupPage()
   }
});

</script>